Bug 1310209 - requires old libmarblewidget, and blocks updates
requires old libmarblewidget, and blocks updates
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: subsurface (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 13:24 EST by Przemek Klosowski
Modified: 2016-08-19 18:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: subsurface-4.4.2-6.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-19 18:21:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Przemek Klosowski 2016-02-19 13:24:10 EST
Description of problem:
subsurface requires  old libmarblewidget, and blocks updates to marble* packages.

Version-Release number of selected component (if applicable):
subsurface-4.4.2-2.fc23.x86_64 

How reproducible: every time


Steps to Reproduce:
1.dnf -y update --best

Actual results:
Error: package subsurface-4.4.2-2.fc23.x86_64 requires libmarblewidget-qt5.so.22()(64bit), but none of the providers can be installed.
package subsurface-4.4.2-2.fc23.x86_64 requires libmarblewidget-qt5.so.22()(64bit), but none of the providers can be installed


Expected results:
updated system, including new subsurface
Comment 1 Przemek Klosowski 2016-03-15 22:51:21 EDT
subsurface still unable to update (does not block updates, just causes this:

Skipping packages with broken dependencies:
 marble-astro       x86_64   1:15.12.1-1.fc23      updates           119 k
 marble-common      noarch   1:15.12.1-1.fc23      updates            67 k
 marble-widget-data noarch   1:15.12.1-1.fc23      updates            14 M
 marble-widget-qt5  x86_64   1:15.12.1-1.fc23      updates           3.7 M

dnf erase subsurface does this:
Removing:
 gpsd-libs           x86_64  3.15-2.fc23         @fedora    246 k
 kf5-knewstuff       x86_64  5.19.0-1.fc23       @updates   2.0 M
 libdivecomputer     x86_64  0.4.2-4.fc23        @fedora    279 k
 libgit2             x86_64  0.23.4-1.fc23       @updates   973 k
 marble-astro        x86_64  1:15.08.1-1.fc23    @fedora    275 k
 marble-common       noarch  1:15.08.1-1.fc23    @fedora     69 k
 marble-widget-data  noarch  1:15.08.1-1.fc23    @fedora     23 M
 marble-widget-qt5   x86_64  1:15.08.1-1.fc23    @fedora     12 M
 quazip-qt5          x86_64  0.7.1-3.fc23        @fedora    232 k
 subsurface          x86_64  4.4.2-2.fc23        @fedora     17 M

and subsequent dnf install subsurface installs the identical set:

Installing:
 gpsd-libs           x86_64  3.15-2.fc23         fedora     109 k
 kf5-knewstuff       x86_64  5.19.0-1.fc23       updates    513 k
 libdivecomputer     x86_64  0.4.2-4.fc23        fedora     117 k
 libgit2             x86_64  0.23.4-1.fc23       updates    416 k
 marble-astro        x86_64  1:15.08.1-1.fc23    fedora     119 k
 marble-common       noarch  1:15.08.1-1.fc23    fedora      66 k
 marble-widget-data  noarch  1:15.08.1-1.fc23    fedora      14 M
 marble-widget-qt5   x86_64  1:15.08.1-1.fc23    fedora     3.4 M
 quazip-qt5          x86_64  0.7.1-3.fc23        fedora      90 k
 subsurface          x86_64  4.4.2-2.fc23        fedora     7.9 M

so I conclude that there's something wrong with how the RPMs require/provide 
/usr/lib64/libmarblewidget-qt5.so.0.21.80
I haven't looked into the spec file yet to get to the bottom of this.

Note that it's inconsistently installed (claims it's both .so.0.21 and so.22):

-rwxr-xr-x. 1 root root 6458968 ... /usr/lib64/libmarblewidget-qt5.so.0.21.80
lrwxrwxrwx. 1 root root      30 ... /usr/lib64/libmarblewidget-qt5.so.22 -> libmarblewidget-qt5.so.0.21.80
Comment 2 Rex Dieter 2016-03-23 01:02:02 EDT
Sorry about that, I'll take care of rebuilding against newer marble
Comment 3 Patrick Laimbock 2016-06-15 07:23:06 EDT
Subsurface-4.4.2 was rebuild against new Marble for F24 & F25 but not F23. Can you please rebuild Subsurface also for F23? Thanks!
Comment 4 Fedora Update System 2016-08-09 11:37:10 EDT
subsurface-4.4.2-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b79b029da8
Comment 5 Fedora Update System 2016-08-10 08:23:13 EDT
subsurface-4.4.2-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b79b029da8
Comment 6 Fedora Update System 2016-08-19 18:21:15 EDT
subsurface-4.4.2-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.